Package csb :: Module build

[frames] | no frames]

# Module build

source code

CSB build related tools and programs.

When executed as a program, this module will run the CSB Build Console and build the source tree it belongs to. The source tree is added at the beginning of sys.path to make sure that all subsequent imports from the Test and Doc consoles will import the right thing (think of multiple CSB packages installed on the same server).

Here is how to build, test and package the whole project:

       $ hg clone https://hg.codeplex.com/csb CSB
       $ CSB/csb/build.py -o <output directory>

The Console can also be imported and instantiated as a regular Python class. In this case the Console again builds the source tree it is part of, but sys.path will remain intact. Therefore, the Console will assume that all modules currently in memory, as well as those that can be subsequently imported by the Console itself, belong to the same CSB package.

Note: The CSB build services no longer support the option to build external source trees.

See Also: [CSB 0000038]

Classes
| BuildTypes Enumeration of build types.
| Console CSB Build Bot.
| GitHandler
| MercurialHandler
| RevisionError
| RevisionHandler Determines the current repository revision number of a working copy.
| RevisionInfo
| SubversionHandler

Functions

main() | source code

Variables
| PARENT = ``'``/build/python-csb-tox_OB/python-csb-1.2.5+dfsg/csb``'``
| ROOT = ``'``csb``'``
| SOURCETREE = ``'``/build/python-csb-tox_OB/python-csb-1.2.5+dfsg``'``
| __package__ = ``'``csb``'``